summaryrefslogtreecommitdiff
path: root/test/regress/run_regression
diff options
context:
space:
mode:
authorHaniel Barbosa <hanielbbarbosa@gmail.com>2018-02-02 15:34:44 -0600
committerAndrew Reynolds <andrew.j.reynolds@gmail.com>2018-02-02 15:34:44 -0600
commit73a92766063e76e6c6f2507f126fb8f84ed3e432 (patch)
tree22b3fc7b54ab32af44f5670d4c1852a9ec4c537f /test/regress/run_regression
parent64192c63a0011e4737eec2d27cf4deabf74d6c0a (diff)
Option to check solutions produced by SyGuS solver (#1553)
Diffstat (limited to 'test/regress/run_regression')
-rwxr-xr-xtest/regress/run_regression8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/regress/run_regression b/test/regress/run_regression
index 5d4165597..e236234e1 100755
--- a/test/regress/run_regression
+++ b/test/regress/run_regression
@@ -262,6 +262,13 @@ else
echo "$expected_output" >"$expoutfile"
fi
+if [ "$lang" = sygus ]; then
+ if ! expr "$CVC4_REGRESSION_ARGS $command_line" : '.*--check-synth-sol' &>/dev/null &&
+ ! expr "$CVC4_REGRESSION_ARGS $command_line" : '.*--no-check-synth-sol' &>/dev/null; then
+ # later on, we'll run another test with --check-models on
+ command_line="$command_line --check-synth-sol"
+ fi
+fi
check_models=false
if grep '^sat$' "$expoutfile" &>/dev/null || grep '^invalid$' "$expoutfile" &>/dev/null || grep '^unknown$' "$expoptfile" &>/dev/null; then
if ! expr "$CVC4_REGRESSION_ARGS $command_line" : '.*--check-models' &>/dev/null &&
@@ -407,4 +414,5 @@ if $check_models || $check_proofs || $check_unsat_cores; then
fi
fi
+
exit $exitcode
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback